Page MenuHomePhabricator

Homepage: mobile MVP list
Closed, ResolvedPublic

Description

This task is meant to hold the subtasks required for initial release of the mobile version of the homepage on 2019-06-20. Below is a list of which of the tasks will be actual blockers for release, and which are things that we do want to try to get into the release if possible.

Blockers

  • T222836 Mobile Homepage: instrumentation (critical for us to learn)
  • T225665 Homepage: open user and user talk in reading mode from mobile (breaks the flow a user is supposed to have for opening those pages for the first time)
  • T225666 Homepage: mobile header style (inconsistency with User page header will confuse users)
  • T223142 Homepage: mobile tabbed menu titles translation proof (because the Czech tabs wrap to the next line)

Desired
in priority order (but going out of order is okay)

  • T222833 Mobile Homepage: Show module details in a mobile overlay
  • T216220 Homepage: design for indicating that the user should check back for pageviews
  • T225660 Homepage: recent questions links on mobile go to desktop site (general standards for mobile experience)
  • T225661 Homepage: link to "Guidelines for user pages" leads to desktop version (general standards for mobile experience)
  • T225659 Homepage: different paths to User talk depending on origin tab
  • T225663 Homepage: add sub-header text about user longevity to mobile homepage
  • T226041 Homepage and help panel: ask question dialog should be aware of back button
  • T225669 Homepage: "ask a question" dialog and overlay issues
  • T225668 Homepage: start module layout on iOS Safari 10 and iOS Chrome 60.0.3112.89

Related Objects

StatusAssignedTask
OpenNone
ResolvedMMiller_WMF
ResolvedMMiller_WMF
ResolvedSBisson
ResolvedSBisson
Resolvedkostajh
Openkostajh
ResolvedSBisson
ResolvedSBisson
ResolvedEtonkovidova
ResolvedSBisson
Openkostajh
ResolvedSBisson
OpenNone
DuplicateNone
ResolvedSBisson
Openkostajh
Resolvedkostajh
Resolvednettrom_WMF
Resolvedkostajh
ResolvedSBisson
OpenSBisson
ResolvedJdforrester-WMF
Resolvedkostajh

Event Timeline

This will live in "Needs PM Review" as its subtask move across the board to catch up with it.

MMiller_WMF updated the task description. (Show Details)Jun 13 2019, 5:53 PM
MMiller_WMF updated the task description. (Show Details)Jun 13 2019, 9:11 PM
MMiller_WMF updated the task description. (Show Details)
JTannerWMF moved this task from Needs triage to Triaged on the Mobile board.Jun 14 2019, 11:35 AM
MMiller_WMF updated the task description. (Show Details)Jun 14 2019, 6:33 PM
MMiller_WMF updated the task description. (Show Details)Jun 17 2019, 6:04 PM
MMiller_WMF updated the task description. (Show Details)Jun 19 2019, 10:24 PM
MMiller_WMF updated the task description. (Show Details)Jun 19 2019, 10:31 PM

Change 518779 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[operations/mediawiki-config@master] GrowthExperiments: Enable mobile homepage for cswiki and kowiki

https://gerrit.wikimedia.org/r/518779

Change 518779 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments: Enable mobile homepage for cswiki and kowiki

https://gerrit.wikimedia.org/r/518779

Mentioned in SAL (#wikimedia-operations) [2019-06-26T16:12:32Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[:gerrit:518779|GrowthExperiments: Enable mobile homepage for cswiki and kowiki]] (T225676) (duration: 00m 56s)

kostajh updated the task description. (Show Details)Jun 26 2019, 5:25 PM
kostajh updated the task description. (Show Details)
MMiller_WMF closed this task as Resolved.Jul 3 2019, 9:11 PM
MMiller_WMF claimed this task.

Closing this task because we have already released the MVP, so its classifications are no longer relevant.